Skip to main content
POST
/
api
/
insight
/
report
/
risk
/
board-cycle
Returns board cycle time risk analysis for the specified reporting period.
curl --request POST \
  --url https://{tenant}.ekso.app/api/insight/report/risk/board-cycle \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z"
}
'
[
  {
    "boardId": "<string>",
    "boardName": "<string>",
    "cycleId": "<string>",
    "cycleName": "<string>",
    "isOpen": 123,
    "resourceUserCount": 123,
    "resourceJobRoleCount": 123,
    "unresourcedCount": 123
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The date range and filter criteria for the risk report.

startDate
string<date-time>
endDate
string<date-time>

Response

Board cycle risk summaries.

boardId
string
boardName
string
cycleId
string
cycleName
string
isOpen
resourceUserCount
resourceJobRoleCount
unresourcedCount